Package com.sun.jna.platform.win32

# Class NTSecApi.LSA_FOREST_TRUST_INFORMATION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_INFORMATION

Direct Known Subclasses:
  `NTSecApi.LSA_FOREST_TRUST_INFORMATION.ByReference`

Enclosing interface:
  NTSecApi

@FieldOrder({"RecordCount","Entries"}) public static class NTSecApi.LSA_FOREST_TRUST_INFORMATION extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `NTSecApi.LSA_FOREST_TRUST_INFORMATION.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `NTSecApi.PLSA_FOREST_TRUST_RECORD.ByReference`
  `Entries`
  Pointer to a pointer to an array of LSA_FOREST_TRUST_RECORD structures, each of which contains one piece of forest trust information.
  `int`
  `RecordCount`
  Number of LSA_FOREST_TRUST_RECORD structures in the array pointed to by the Entries member.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LSA_FOREST_TRUST_INFORMATION()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NTSecApi.PLSA_FOREST_TRUST_RECORD[]`
  `getEntries()`
  Get an array of LSA_FOREST_TRUST_RECORD entries.

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### RecordCount

    public int RecordCount
    Number of LSA_FOREST_TRUST_RECORD structures in the array pointed to by the Entries member.

  - ### Entries

    public NTSecApi.PLSA_FOREST_TRUST_RECORD.ByReference Entries
    Pointer to a pointer to an array of LSA_FOREST_TRUST_RECORD structures, each of which contains one piece of forest trust information.

- ## Constructor Details

  - ### LSA_FOREST_TRUST_INFORMATION

    public LSA_FOREST_TRUST_INFORMATION()

- ## Method Details

  - ### getEntries

    public NTSecApi.PLSA_FOREST_TRUST_RECORD[] getEntries()
    Get an array of LSA_FOREST_TRUST_RECORD entries.
    Returns:
      An array of forest trust records.